clang-tools 6.0.0

Classes | Namespaces | Functions | Variables
ModernizeTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "AvoidBindCheck.h"`
`#include "DeprecatedHeadersCheck.h"`
`#include "LoopConvertCheck.h"`
`#include "MakeSharedCheck.h"`
`#include "MakeUniqueCheck.h"`
`#include "PassByValueCheck.h"`
`#include "RawStringLiteralCheck.h"`
`#include "RedundantVoidArgCheck.h"`
`#include "ReplaceAutoPtrCheck.h"`
`#include "ReplaceRandomShuffleCheck.h"`
`#include "ReturnBracedInitListCheck.h"`
`#include "ShrinkToFitCheck.h"`
`#include "UnaryStaticAssertCheck.h"`
`#include "UseAutoCheck.h"`
`#include "UseBoolLiteralsCheck.h"`
`#include "UseDefaultMemberInitCheck.h"`
`#include "UseEmplaceCheck.h"`
`#include "UseEqualsDefaultCheck.h"`
`#include "UseEqualsDeleteCheck.h"`
`#include "UseNoexceptCheck.h"`
`#include "UseNullptrCheck.h"`
`#include "UseOverrideCheck.h"`
`#include "UseTransparentFunctorsCheck.h"`
`#include "UseUsingCheck.h"`
Include dependency graph for ModernizeTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::modernize::ModernizeModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::modernize

## Functions
static ClangTidyModuleRegistry::Add< ModernizeModule > | clang::tidy::modernize::X ("modernize-module", "Add modernize checks.")

## Variables
volatile int | clang::tidy::ModernizeModuleAnchorSource = 0